Bug 70828 - if no MTA, gives python error
if no MTA, gives python error
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: redhat-switchmail (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks: 67217
  Show dependency treegraph
 
Reported: 2002-08-05 17:38 EDT by Jackie Meese
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-06 04:36:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jackie Meese 2002-08-05 17:38:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.1a) Gecko/20020611

Description of problem:
# redhat-switchmail
Traceback (most recent call last):
  File "/usr/sbin/redhat-switchmail", line 89, in ?
    main()
  File "/usr/sbin/redhat-switchmail", line 77, in main
    dlg = mainDialog().main()
  File "/usr/share/redhat-switchmail/switchmail_tui.py", line 51, in main
    self.hydrate()
  File "/usr/share/redhat-switchmail/switchmail_tui.py", line 57, in hydrate
    warningDialog()
NameError: global name 'warningDialog' is not defined

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.rpm -e postfix
2.rpm -e sendmail
3.redhat-switchmail
	

Actual Results:  Traceback (most recent call last):
  File "/usr/sbin/redhat-switchmail", line 89, in ?
    main()
  File "/usr/sbin/redhat-switchmail", line 77, in main
    dlg = mainDialog().main()
  File "/usr/share/redhat-switchmail/switchmail_tui.py", line 51, in main
    self.hydrate()
  File "/usr/share/redhat-switchmail/switchmail_tui.py", line 57, in hydrate
    warningDialog()
NameError: global name 'warningDialog' is not defined

Expected Results:  something less cryptic as an error.  Like a message: dork,
you don't have anything installed to switch to.

Additional info:
Comment 1 Ngo Than 2002-08-06 04:36:10 EDT
It's fixed in 0.5.10-1

Note You need to log in before you can comment on or make changes to this bug.